#!/usr/bin/env ruby

$LOAD_PATH.unshift('/home/bnzanette/Projetos/dspace-rest-client/lib')
require 'dspace'

client = Dspace::Client.new(dspace_api: 'https://localhost:8443')
client_demo = Dspace::Client.new(dspace_api: 'https://demo.dspace.org')
if !client.is_running?
  raise 'Can\'t connect to DSpace API.'
end

# Login on Dspace
client.login 'admin@dspace.com', 'admin'

communities = client.communities.all
communities.each do |comm|
    puts comm.name
end

community = communities.first
puts community.inspect

# Create COMMUNITY
# community = client.communities.create(
#   Dspace::Community.new({'name' => "Community Created by REST"})
# )

# Create COLLECTION
collection_demo = client_demo.collections.all.first
collection = client.communities.create_collection(
    collection_demo, id: community.id
)

# Update COMMUNITY
# community = client.communities.all.first
# community.name = "Community Updated by dspace-rest-client"
# if (client.communities.update(community, id: community.id))
#   puts "Community successfully updated!"
# end

# client.communities
# client.collections
# client.items
# client.bitstreams
